## Class Main

- java.lang.Object
- - Main

    public class Main
    extends java.lang.Object

Launcher class for stand-alone execution of Jenkins as `java -jar jenkins.war`.

Author:
  Kohsuke Kawaguchi

### Constructor Summary

Constructors
Constructor and Description
`Main()`

### Method Summary

Methods
`static void` `main(java.lang.String[] args)`
`static java.io.File` `whoAmI(java.io.File directory)` Figures out the URL of `jenkins.war`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Main

    public Main()

### Method Detail

#### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### whoAmI

    public static java.io.File whoAmI(java.io.File directory)
                               throws java.io.IOException,
                                      java.net.URISyntaxException

Figures out the URL of `jenkins.war`.

Throws:
  `java.io.IOException`
  `java.net.URISyntaxException`